      subroutine i3num (charout, in, limit)
c      FUNCTION I3NUM(IN,LIMIT)
     
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      character*3 charout
 
C***********************************************************************
C VERSION 1.0  MPIFR CYBER EDITION  22 MAY 1977.                       *
C SEE NOD 2 MANUAL PAGE G 3.1                                          *
C C.G HASLAM       DEC  1973.                                          *
C H.ANDERNACH    JAN 1984   CHANGED 4H TO 3H, CHECKS FOR 000 AND 00
C THIS FUNCTION CONVERTS INTEGER IN INTO HOLLERITH CHARACTERS, WITHIN  *
C THE RANGE OF LIMIT.                                                  *
C***********************************************************************
C
C  This version ceated from COMSHIF version along with ANGAPRT
C  Antony Schinckel
c  rewritten by A.W.Sievers  Dec 88
c
      K=IN
      IF(LIMIT.GE.0) GO TO 2
      IF(K.GE.0) GO TO 1
      K=-K
      IF(K.EQ.100)K=0
    1 IF(K.LT.100) GO TO 4
      charout='***'
      RETURN
    2 IF(K.GE.0) GO TO 3
      K=K+LIMIT
      GO TO 2
    3 IF(K.LT.LIMIT) GO TO 4
      K=K-LIMIT
      GO TO 3
c Conversion to single digits
    4 i = k/100
      K=K-100*I
      J=K/10
      K=K-10*J
      if (i.ne.0) then
         charout = char(i+48) //char(j+48)//char(k+48)
      else
         if (in.lt.0.0 .or. in.eq.-100) then
             charout= char(45)//char(j+48)//char(k+48)
c%%         In case of negative  degrees
         else
             charout= char(32)//char(j+48)//char(k+48)
         endif
      end if
c%%
c    45 = minus sign
c    48 = 0
c    32 = blank,  This is for the "char()" function
      RETURN
      END
