########################################################################
#
#     TkParal
#
#     A Tcl/Tk based X-Window interface for the Paral program.
#
#     See the main script for copyright and version notices.
#
########################################################################
#
# Subfile tkp_lists.tcl: list definitions
#

# Section 1: Observatories

set obs_list " \
    {Apex} \
    {ALMA} \
    {HHT / SMT} \
    {Effelsberg 100m} \
    {Pico Veleta MRT} \
    {Plateau de Bure} \
    {SEST / La Silla} \
    {JCMT} \
    {KOSMA} \
    {Very Large Array} \
    {Kitt Peak} \
    {VLT (Paranal)} \
    {OVRO mm-Array} \
    "

set longitude_list " \
    {-67.759167} \
    {-67.753222} \
    {-109.891244} \
    {6.883889} \
    {-3.399472} \
    {5.907917} \
    {-70.730000} \
    {-155.471667} \
    {7.784000} \
    {-107.618333} \
    {-111.615000} \
    {-70.403239} \
    {-118.266667} \
    "
    
set latitude_list "\
    {-23.005778} \
    {-23.019917} \
    {32.701611} \
    {50.524722} \
    {37.068222} \
    {44.633889} \
    {-29.256667} \
    {19.776667} \
    {45.984000} \
    {34.078333} \
    {31.953333} \
    {-24.625866} \
    {37.233889} \
    "

# Section 2: Other lists

set equinox_list "{B1950.0} {J2000.0}"

set year_list "{1998} {1999} {2000} {2001} {2002} {2003} {2004} \
    {2005} {2006} {2007} {2008} {2009} {2010} {2011} {2012} \
    {2013} {2014} {2015} {2016} {2017} {2018} {2019} {2020} \
    {2021} {2022} {2023} {2024} {2025} {2026} {2027} {2028}"

set month_list "{Jan} {Feb} {Mar} {Apr} {May} {Jun} {Jul} {Aug} \
    {Sep} {Oct} {Nov} {Dec}" ;

set dmonth_list "{Jan} {Feb} {Mr} {Apr} {Mai} {Jun} {Jul} {Aug} \
    {Sep} {Okt} {Nov} {Dez}" ;
